{ config, lib, ... }:
{
  imports = [ ./nginx ];

  config = lib.mkIf config.system.socialserver.enable {
    services.owncast = {
      enable = true;
      port = 8060;
      rtmp-port = 1945;
    };
    networking.nftables.tables.owncast = {
      family = "inet";
      content = ''
        chain input {
          ip saddr 10.0.0.0/8 tcp dport 1945 accept comment "Accept RTMP"
        }
      '';
    };
    environment.persistence."/persist".directories = [ "/var/lib/owncast" ];
  };
}
